package com.sinosig.core.client.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.client.model.IJQXBJ;
import com.sinosig.util.SearchContext;

/**
 * 实体[JQXBJ] 服务对象接口
 */
public interface IJQXBJClientService{

    public IJQXBJ createModel() ;

    public void get(IJQXBJ jqxbj);

    public Page<IJQXBJ> fetchDefault(SearchContext context);

    public Page<IJQXBJ> select(SearchContext context);

    public void update(IJQXBJ jqxbj);

    public void remove(IJQXBJ jqxbj);

    public void save(IJQXBJ jqxbj);

    public void create(IJQXBJ jqxbj);

    public void checkKey(IJQXBJ jqxbj);

    public void getDraft(IJQXBJ jqxbj);

}
